Bug 869533 - bad defaults in eog
bad defaults in eog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 03:58 EDT by cornel panceac
Modified: 2013-07-31 22:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:03:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2012-10-24 03:58:38 EDT
Description of problem:
eog does not remember useful defaults, like paper orientation (which should be landscape, by default, by the way, since cameras produce landscape most of the time), but remembers dangerous last used values, like number of copies, which should be set to 1, by default.

Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/eog
eog-3.4.3-2.fc17.x86_64


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Maybe there's a place wher this can be configured?
Comment 1 Kalev Lember 2012-10-25 12:18:45 EDT
EOG tries to be smart and set the paper orientation based on image dimensions, e.g. if width > height then it uses landscape. But if you think it should work in some other way, can you open a ticket upstream at https://bugzilla.gnome.org/enter_bug.cgi?product=eog ?

Sorry for redirecting you like this.
Comment 2 cornel panceac 2012-10-25 14:38:44 EDT
Thank you for your reply. Unfortunately, what happens in practice is that landscape pictures are printed on portrait paper. Anyway, the bigger problem is that, if you have once printed many copies of one picture, at the next print (which may be next month) it defaults to the same number of copies, thus wasting ink, paper, etc. Also i'd like to have a way to change the defaults. Of course the lack of ability to be customized is not a problem limited to eog, but is a general gnome 3 problem. Please let me know if it would be better to report this directly to upstream.
Comment 3 Kalev Lember 2012-10-26 06:30:08 EDT
Yes, please file it upstream.
Comment 4 Fedora End Of Life 2013-07-03 19:24:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 22:04:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.